Skip to main content

[PayIn] BDT Payment Data

For shops with BDT currency, when creating a payin (POST /api/v1/payins) the following fields must be sent in the paymentData object.

Required fields in paymentData

ParameterTypeRequiredDescription
wallet_providerstringYesWallet provider. Possible values: Nagad, BKash.
mobile_numberstringYesCustomer Mobile Number
emailstringYesCustomer Email
customer_namestringYesCustomer Name

Example request body

{
"external_id": "PIN-BDT-001",
"amount": 5000.00,
"currency": "BDT",
"shop_code": "your_bdt_shop",
"merchant_user_id": "merchant-user-001",
"merchant_user_ip": "203.0.113.10",
"paymentData": {
"wallet_provider": "BKash",
"mobile_number": "01872456789",
"email": "info@test.com",
"customer_name": "Test Name"
}
}

Response fields

ParameterTypeDescription
idnumberTrustedPay operation ID.
statusstringCurrent payin status.
external_idstringUnique payin identifier from the request.
amountnumberPayin amount.
currencystringPayin currency.
shop_codestringShop code used for routing.
merchant_user_idstringMerchant user identifier from the request.
merchant_user_ipstringUser IP from the request.
paymentDataobjectShop-specific payin fields.
transaction_typestringAlways payin.
created_atstringCreation timestamp.
updated_atstringLast update timestamp.
finalization_datestringReturned when the payin reaches a final status.

Example response body

{
"id": 12345,
"status": "pending",
"external_id": "PIN-BDT-001",
"amount": 5000,
"currency": "BDT",
"shop_code": "your_bdt_shop",
"merchant_user_id": "merchant-user-001",
"merchant_user_ip": "203.0.113.10",
"paymentData": {
"wallet_provider": "BKash",
"mobile_number": "01872456789",
"email": "info@test.com",
"customer_name": "Test Name"
},
"transaction_type": "payin",
"created_at": "2025-12-05T10:00:00.000000Z",
"updated_at": "2025-12-05T10:00:00.000000Z"
}

Without valid wallet_provider , mobile_number, email or customer_name in paymentData, the request will be rejected with a validation error (422, "Invalid paymentData").

Back to PayIn